2017-08-21 07:27 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002422OpenFOAM[All Projects] Bugpublic2017-01-07 09:26
Reporterchris 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version14.04
Product Version4.1 
Target VersionFixed in Version 
Summary0002422: foamDictionary output includes blank lines and spaces
DescriptionExtracting entries from OpenFOAM files with foamDictionary -entry produces non-clean output that includes a trailing blank line or space.
Steps To ReproduceThe following demonstrates an extra trailing space when extracting a value:
echo "$(foamDictionary -entry startTime -value $FOAM_TUTORIALS/incompressible/simpleFoam/pitzDaily/system/controlDict) HELLO"

The following demonstrates an trailing blank line:
foamDictionary -entry startTime $FOAM_TUTORIALS/incompressible/simpleFoam/pitzDaily/system/controlDict
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007599

henry (manager)

This should now be resolved in OpenFOAM-dev by commit 695466a3cdc5055e3f32f651972339a12756cdc6

Further testing is required to ensure there are no unexpected side-effects.

~0007603

henry (manager)

No issues have arisen so far with this change, please re-open if necessary.
+Notes

-Issue History
Date Modified Username Field Change
2017-01-05 16:58 chris New Issue
2017-01-05 20:26 henry Note Added: 0007599
2017-01-07 09:26 henry Assigned To => henry
2017-01-07 09:26 henry Status new => resolved
2017-01-07 09:26 henry Resolution open => fixed
2017-01-07 09:26 henry Note Added: 0007603
+Issue History